#
# spec file for package ovs (Version 1.03)
#
#

%define serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)
%define cgi_dir %{serverroot}/cgi-bin
%define css_dir %{serverroot}/htdocs/css
%define css_path /css

Name:         	ovs
Summary:      	Mail & Courier Stats
Version:      	1.03
Release:     	6.9
License:      	GPL
Group:        	System/Monitoring
URL:          	http://www.openvisp.fr/doku/doku.php?id=stats:intro
Source0:      	%{name}-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.logrotate
Source3:        %{name}.sysconfig
Patch0:		%{name}-cgi.patch
BuildArch:      noarch
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  apache2-devel
Requires:       httpd perl(File::Tail) rrdtool

#-------------------------------------------------------------------------------
%description
#-------------------------------------------------------------------------------
%{name} - a RRDtool frontend for Mail Daemon Statistics

%{name} is a very simple mail statistics RRDtool frontend for Postfix and Courier
that produces daily, weekly, monthly and yearly graphs of received/sent 
and bounced/rejected mail (SMTP traffic).


-------------------------------------------------------------------------------

#%debug_package
#-------------------------------------------------------------------------------

%prep
#-------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{version}
%patch0

#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------
#make CFLAGS="$RPM_OPT_FLAGS"

#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/adm/fillup-templates
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/img
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
%{__install} -d -m 755 $RPM_BUILD_ROOT%{cgi_dir}
%{__install} -d -m 755 $RPM_BUILD_ROOT%{css_dir}

%{__install} -m 755 %{name}.pl $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 755 %{name}.cgi $RPM_BUILD_ROOT%{cgi_dir}/
%{__install} -m 644 %{name}.css $RPM_BUILD_ROOT%{css_dir}/
%{__install} -m 755 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
%{__install} -m 644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 755 %{S:3} $RPM_BUILD_ROOT%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%{__ln_s} -f ../../etc/init.d/%{name} $RPM_BUILD_ROOT%{_bindir}/rc%{name}

sed -i s#"@CACHDIR@"#"%{_localstatedir}/lib/%{name}"#g $RPM_BUILD_ROOT%{cgi_dir}/%{name}.cgi
sed -i s#"@CSSPATH@"#"%{css_path}"#g $RPM_BUILD_ROOT%{cgi_dir}/%{name}.cgi

#-------------------------------------------------------------------------------
%pre
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
%post
#-------------------------------------------------------------------------------
%{fillup_and_insserv ovs}

#-------------------------------------------------------------------------------
%preun
#------------------------------------------------------------------------------- 
%stop_on_removal ovs

#-------------------------------------------------------------------------------
%postun
#-------------------------------------------------------------------------------
%restart_on_update ovs
%{insserv_cleanup}

#-------------------------------------------------------------------------------
%clean
#-------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT

#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------
%defattr(-,root,root)
%doc CHANGES COPYING README
%dir %{_localstatedir}/lib/%{name}
%attr(755,wwwrun,www) %dir %{_localstatedir}/lib/%{name}/img
%dir %{_localstatedir}/log/%{name}
%dir %{css_dir}
%{_bindir}/%{name}.pl
%{_bindir}/rc%{name}
%{cgi_dir}/%{name}.cgi
%{css_dir}/%{name}.css
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/logrotate.d/%{name}
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}

#-------------------------------------------------------------------------------
%changelog -n tree
#-------------------------------------------------------------------------------
* Tue Jul 01 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
